setwd("/Users/JunInoue/Downloads/njBS_Phangorn")
library(phangorn)

#infile      <- "aaseq.txt"
#outGroup    <- "Drosophila"

infile      <- "aaseq2.txt"
outGroup    <- "Drosophila_FBpp0073551_lic"

outfile     <- "out.txt"

aaseq <- phyDat(read.aa(infile, format = "fasta", skip = 0, nlines = 0, comment.char = "#", seq.names = NULL))

dm1 <- dist.ml(aaseq, modl="WAG", k=5)
tree1 <- nj(dm1)
#tree1 <- ladderize(tree1)
fit   = pml(tree1, aaseq)
fit   = optim.pml(fit,TRUE)
rerooted <- ladderize(root(fit$tree,outGroup, r=T))

set.seed(1)
bstree   <- bootstrap.phyDat(aaseq, FUN=function(x)NJ(dist.ml(x, modl="WAG", k=5)), bs=10)

njBStree <- plotBS(rerooted, bstree, type = "phylogram", cex=.5)
write.tree(njBStree, file = outfile)
